/****************************************************************************
**
** Copyright (C) 2016 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of Qt for Python.
**
** $QT_BEGIN_LICENSE:LGPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 3 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL3 included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 3 requirements
** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 2.0 or (at your option) the GNU General
** Public license version 3 or any later version approved by the KDE Free
** Qt Foundation. The licenses are as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-2.0.html and
** https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

// default includes
#include <shiboken.h>
#ifndef QT_NO_VERSION_TAGGING
#  define QT_NO_VERSION_TAGGING
#endif
#include <QDebug>
#include <pysidesignal.h>
#include <pysideproperty.h>
#include <pyside.h>
#include <pysideqenum.h>
#include <feature_select.h>
QT_WARNING_DISABLE_DEPRECATED

#include <typeinfo>
#include <signalmanager.h>
#include <pysidemetafunction.h>
#include <iterator>

// module include
#include "pyside6_qtdbus_python.h"

// main header
#include "qdbusconnectioninterface_wrapper.h"

// inner classes

// Extra includes
#include <QList>
#include <QtDBus/qdbusconnection.h>
#include <QtDBus/qdbuserror.h>
#include <QtDBus/qdbusmessage.h>
#include <QtDBus/qdbuspendingcall.h>
#include <qcoreevent.h>
#include <qmetaobject.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qtdbushelper.h>


#include <cctype>
#include <cstring>



template <class T>
static const char *typeNameOf(const T &t)
{
    const char *typeName =  typeid(t).name();
    auto size = std::strlen(typeName);
#if defined(Q_CC_MSVC) // MSVC: "class QPaintDevice * __ptr64"
    if (auto lastStar = strchr(typeName, '*')) {
        // MSVC: "class QPaintDevice * __ptr64"
        while (*--lastStar == ' ') {
        }
        size = lastStar - typeName + 1;
    }
#else // g++, Clang: "QPaintDevice *" -> "P12QPaintDevice"
    if (size > 2 && typeName[0] == 'P' && std::isdigit(typeName[1])) {
        ++typeName;
        --size;
    }
#endif
    char *result = new char[size + 1];
    result[size] = '\0';
    memcpy(result, typeName, size);
    return result;
}


// Target ---------------------------------------------------------

extern "C" {
static PyObject *Sbk_QDBusConnectionInterfaceFunc_activatableServiceNames(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.activatableServiceNames";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // activatableServiceNames()const
            QtDBusHelper::QDBusReply* cppResult = new QtDBusHelper::QDBusReply(const_cast<const ::QDBusConnectionInterface *>(cppSelf)->activatableServiceNames());
            pyResult = Shiboken::Object::newObject(SbkPySide6_QtDBusTypes[SBK_QTDBUSHELPER_QDBUSREPLY_IDX], cppResult, true, true);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QDBusConnectionInterfaceFunc_connectNotify(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.connectNotify";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QObject::connectNotify(QMetaMethod)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QMETAMETHOD_IDX], (pyArg)))) {
        overloadId = 0; // connectNotify(QMetaMethod)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QDBusConnectionInterfaceFunc_connectNotify_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QMetaMethod cppArg0_local;
        ::QMetaMethod *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // connectNotify(QMetaMethod)
            Shiboken::Object::hasCppWrapper(reinterpret_cast<SbkObject *>(self))
                ? cppSelf->::QDBusConnectionInterface::connectNotify(*cppArg0)
                : cppSelf->connectNotify(*cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QDBusConnectionInterfaceFunc_connectNotify_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QDBusConnectionInterfaceFunc_disconnectNotify(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.disconnectNotify";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QObject::disconnectNotify(QMetaMethod)
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtCoreTypes[SBK_QMETAMETHOD_IDX], (pyArg)))) {
        overloadId = 0; // disconnectNotify(QMetaMethod)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QDBusConnectionInterfaceFunc_disconnectNotify_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QMetaMethod cppArg0_local;
        ::QMetaMethod *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // disconnectNotify(QMetaMethod)
            Shiboken::Object::hasCppWrapper(reinterpret_cast<SbkObject *>(self))
                ? cppSelf->::QDBusConnectionInterface::disconnectNotify(*cppArg0)
                : cppSelf->disconnectNotify(*cppArg0);
        }
    }

    if (PyErr_Occurred()) {
        return {};
    }
    Py_RETURN_NONE;

    Sbk_QDBusConnectionInterfaceFunc_disconnectNotify_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QDBusConnectionInterfaceFunc_isServiceRegistered(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.isServiceRegistered";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QDBusConnectionInterface::isServiceRegistered(QString)const->QtDBusHelper::QDBusReply
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], (pyArg)))) {
        overloadId = 0; // isServiceRegistered(QString)const
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QDBusConnectionInterfaceFunc_isServiceRegistered_TypeError;

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // isServiceRegistered(QString)const
            QtDBusHelper::QDBusReply* cppResult = new QtDBusHelper::QDBusReply(const_cast<const ::QDBusConnectionInterface *>(cppSelf)->isServiceRegistered(cppArg0));
            pyResult = Shiboken::Object::newObject(SbkPySide6_QtDBusTypes[SBK_QTDBUSHELPER_QDBUSREPLY_IDX], cppResult, true, true);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QDBusConnectionInterfaceFunc_isServiceRegistered_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QDBusConnectionInterfaceFunc_registerService(PyObject *self, PyObject *args)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.registerService";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp[3];
    SBK_UNUSED(pythonToCpp)
    const Py_ssize_t numArgs = PyTuple_GET_SIZE(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {0, 0, 0};

    // invalid argument lengths


    if (!PyArg_UnpackTuple(args, "registerService", 3, 3, &(pyArgs[0]), &(pyArgs[1]), &(pyArgs[2])))
        return {};


    // Overloaded function decisor
    // 0: QDBusConnectionInterface::registerService(QString,QDBusConnectionInterface::ServiceQueueOptions,QDBusConnectionInterface::ServiceReplacementOptions)->QtDBusHelper::QDBusReply
    if (numArgs == 3
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], (pyArgs[0])))
        && (pythonToCpp[1] = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEQUEUEOPTIONS_IDX]))->converter, (pyArgs[1])))
        && (pythonToCpp[2] = Shiboken::Conversions::pythonToCppConversion(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEREPLACEMENTOPTIONS_IDX]))->converter, (pyArgs[2])))) {
        overloadId = 0; // registerService(QString,QDBusConnectionInterface::ServiceQueueOptions,QDBusConnectionInterface::ServiceReplacementOptions)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QDBusConnectionInterfaceFunc_registerService_TypeError;

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp[0](pyArgs[0], &cppArg0);
        ::QDBusConnectionInterface::ServiceQueueOptions cppArg1{QDBusConnectionInterface::DontQueueService};
        pythonToCpp[1](pyArgs[1], &cppArg1);
        ::QDBusConnectionInterface::ServiceReplacementOptions cppArg2{QDBusConnectionInterface::DontAllowReplacement};
        pythonToCpp[2](pyArgs[2], &cppArg2);

        if (!PyErr_Occurred()) {
            // registerService(QString,QDBusConnectionInterface::ServiceQueueOptions,QDBusConnectionInterface::ServiceReplacementOptions)
            QtDBusHelper::QDBusReply* cppResult = new QtDBusHelper::QDBusReply(cppSelf->registerService(cppArg0, cppArg1, cppArg2));
            pyResult = Shiboken::Object::newObject(SbkPySide6_QtDBusTypes[SBK_QTDBUSHELPER_QDBUSREPLY_IDX], cppResult, true, true);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QDBusConnectionInterfaceFunc_registerService_TypeError:
        Shiboken::setErrorAboutWrongArguments(args, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QDBusConnectionInterfaceFunc_registeredServiceNames(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.registeredServiceNames";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // registeredServiceNames()const
            QtDBusHelper::QDBusReply* cppResult = new QtDBusHelper::QDBusReply(const_cast<const ::QDBusConnectionInterface *>(cppSelf)->registeredServiceNames());
            pyResult = Shiboken::Object::newObject(SbkPySide6_QtDBusTypes[SBK_QTDBUSHELPER_QDBUSREPLY_IDX], cppResult, true, true);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QDBusConnectionInterfaceFunc_serviceOwner(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.serviceOwner";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QDBusConnectionInterface::serviceOwner(QString)const->QtDBusHelper::QDBusReply
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], (pyArg)))) {
        overloadId = 0; // serviceOwner(QString)const
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QDBusConnectionInterfaceFunc_serviceOwner_TypeError;

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // serviceOwner(QString)const
            QtDBusHelper::QDBusReply* cppResult = new QtDBusHelper::QDBusReply(const_cast<const ::QDBusConnectionInterface *>(cppSelf)->serviceOwner(cppArg0));
            pyResult = Shiboken::Object::newObject(SbkPySide6_QtDBusTypes[SBK_QTDBUSHELPER_QDBUSREPLY_IDX], cppResult, true, true);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QDBusConnectionInterfaceFunc_serviceOwner_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QDBusConnectionInterfaceFunc_servicePid(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.servicePid";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QDBusConnectionInterface::servicePid(QString)const->QtDBusHelper::QDBusReply
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], (pyArg)))) {
        overloadId = 0; // servicePid(QString)const
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QDBusConnectionInterfaceFunc_servicePid_TypeError;

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // servicePid(QString)const
            QtDBusHelper::QDBusReply* cppResult = new QtDBusHelper::QDBusReply(const_cast<const ::QDBusConnectionInterface *>(cppSelf)->servicePid(cppArg0));
            pyResult = Shiboken::Object::newObject(SbkPySide6_QtDBusTypes[SBK_QTDBUSHELPER_QDBUSREPLY_IDX], cppResult, true, true);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QDBusConnectionInterfaceFunc_servicePid_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QDBusConnectionInterfaceFunc_serviceUid(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.serviceUid";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QDBusConnectionInterface::serviceUid(QString)const->QtDBusHelper::QDBusReply
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], (pyArg)))) {
        overloadId = 0; // serviceUid(QString)const
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QDBusConnectionInterfaceFunc_serviceUid_TypeError;

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // serviceUid(QString)const
            QtDBusHelper::QDBusReply* cppResult = new QtDBusHelper::QDBusReply(const_cast<const ::QDBusConnectionInterface *>(cppSelf)->serviceUid(cppArg0));
            pyResult = Shiboken::Object::newObject(SbkPySide6_QtDBusTypes[SBK_QTDBUSHELPER_QDBUSREPLY_IDX], cppResult, true, true);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QDBusConnectionInterfaceFunc_serviceUid_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QDBusConnectionInterfaceFunc_startService(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.startService";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QDBusConnectionInterface::startService(QString)->QtDBusHelper::QDBusReply
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], (pyArg)))) {
        overloadId = 0; // startService(QString)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QDBusConnectionInterfaceFunc_startService_TypeError;

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // startService(QString)
            QtDBusHelper::QDBusReply* cppResult = new QtDBusHelper::QDBusReply(cppSelf->startService(cppArg0));
            pyResult = Shiboken::Object::newObject(SbkPySide6_QtDBusTypes[SBK_QTDBUSHELPER_QDBUSREPLY_IDX], cppResult, true, true);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QDBusConnectionInterfaceFunc_startService_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QDBusConnectionInterfaceFunc_unregisterService(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QDBusConnectionInterface *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtDBus.QDBusConnectionInterface.unregisterService";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QDBusConnectionInterface::unregisterService(QString)->QtDBusHelper::QDBusReply
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], (pyArg)))) {
        overloadId = 0; // unregisterService(QString)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QDBusConnectionInterfaceFunc_unregisterService_TypeError;

    // Call function/method
    {
        ::QString cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // unregisterService(QString)
            QtDBusHelper::QDBusReply* cppResult = new QtDBusHelper::QDBusReply(cppSelf->unregisterService(cppArg0));
            pyResult = Shiboken::Object::newObject(SbkPySide6_QtDBusTypes[SBK_QTDBUSHELPER_QDBUSREPLY_IDX], cppResult, true, true);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QDBusConnectionInterfaceFunc_unregisterService_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}


static const char *Sbk_QDBusConnectionInterface_PropertyStrings[] = {
    nullptr // Sentinel
};

static PyMethodDef Sbk_QDBusConnectionInterface_methods[] = {
    {"activatableServiceNames", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_activatableServiceNames), METH_NOARGS},
    {"connectNotify", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_connectNotify), METH_O},
    {"disconnectNotify", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_disconnectNotify), METH_O},
    {"isServiceRegistered", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_isServiceRegistered), METH_O},
    {"registerService", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_registerService), METH_VARARGS},
    {"registeredServiceNames", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_registeredServiceNames), METH_NOARGS},
    {"serviceOwner", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_serviceOwner), METH_O},
    {"servicePid", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_servicePid), METH_O},
    {"serviceUid", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_serviceUid), METH_O},
    {"startService", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_startService), METH_O},
    {"unregisterService", reinterpret_cast<PyCFunction>(Sbk_QDBusConnectionInterfaceFunc_unregisterService), METH_O},

    {nullptr, nullptr} // Sentinel
};

static int Sbk_QDBusConnectionInterface_setattro(PyObject *self, PyObject *name, PyObject *value)
{
    PySide::Feature::Select(self);
    Shiboken::AutoDecRef pp(reinterpret_cast<PyObject *>(PySide::Property::getObject(self, name)));
    if (!pp.isNull())
        return PySide::Property::setValue(reinterpret_cast<PySideProperty *>(pp.object()), self, value);
    return PyObject_GenericSetAttr(self, name, value);
}

} // extern "C"

static int Sbk_QDBusConnectionInterface_traverse(PyObject *self, visitproc visit, void *arg)
{
    return SbkObject_TypeF()->tp_traverse(self, visit, arg);
}
static int Sbk_QDBusConnectionInterface_clear(PyObject *self)
{
    return reinterpret_cast<PyTypeObject *>(SbkObject_TypeF())->tp_clear(self);
}
// Class Definition -----------------------------------------------
extern "C" {
static PyTypeObject *_Sbk_QDBusConnectionInterface_Type = nullptr;
static PyTypeObject *Sbk_QDBusConnectionInterface_TypeF(void)
{
    return _Sbk_QDBusConnectionInterface_Type;
}

static PyType_Slot Sbk_QDBusConnectionInterface_slots[] = {
    {Py_tp_base,        nullptr}, // inserted by introduceWrapperType
    {Py_tp_dealloc,     reinterpret_cast<void *>(SbkDeallocWrapperWithPrivateDtor)},
    {Py_tp_repr,        nullptr},
    {Py_tp_hash,        nullptr},
    {Py_tp_call,        nullptr},
    {Py_tp_str,         nullptr},
    {Py_tp_getattro,    nullptr},
    {Py_tp_setattro,    reinterpret_cast<void *>(Sbk_QDBusConnectionInterface_setattro)},
    {Py_tp_traverse,    reinterpret_cast<void *>(Sbk_QDBusConnectionInterface_traverse)},
    {Py_tp_clear,       reinterpret_cast<void *>(Sbk_QDBusConnectionInterface_clear)},
    {Py_tp_richcompare, nullptr},
    {Py_tp_iter,        nullptr},
    {Py_tp_iternext,    nullptr},
    {Py_tp_methods,     reinterpret_cast<void *>(Sbk_QDBusConnectionInterface_methods)},
    {Py_tp_getset,      nullptr},
    {Py_tp_init,        nullptr},
    {Py_tp_new,         reinterpret_cast<void *>(SbkObjectTpNew)},
    {0, nullptr}
};
static PyType_Spec Sbk_QDBusConnectionInterface_spec = {
    "2:PySide6.QtDBus.QDBusConnectionInterface",
    sizeof(SbkObject),
    0,
    Py_TPFLAGS_DEFAULT|Py_TPFLAGS_BASETYPE|Py_TPFLAGS_HAVE_GC,
    Sbk_QDBusConnectionInterface_slots
};

} //extern "C"

static void *Sbk_QDBusConnectionInterface_typeDiscovery(void *cptr, PyTypeObject *instanceType)
{
    if (instanceType == Shiboken::SbkType< ::QObject >())
        return dynamic_cast< ::QDBusConnectionInterface *>(reinterpret_cast< ::QObject *>(cptr));
    return {};
}


// Type conversion functions.

// Python to C++ enum conversion.
static void QDBusConnectionInterface_ServiceQueueOptions_PythonToCpp_QDBusConnectionInterface_ServiceQueueOptions(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QDBusConnectionInterface::ServiceQueueOptions *>(cppOut) =
        static_cast<::QDBusConnectionInterface::ServiceQueueOptions>(Shiboken::Enum::getValue(pyIn));

}
static PythonToCppFunc is_QDBusConnectionInterface_ServiceQueueOptions_PythonToCpp_QDBusConnectionInterface_ServiceQueueOptions_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEQUEUEOPTIONS_IDX]))
        return QDBusConnectionInterface_ServiceQueueOptions_PythonToCpp_QDBusConnectionInterface_ServiceQueueOptions;
    return {};
}
static PyObject *QDBusConnectionInterface_ServiceQueueOptions_CppToPython_QDBusConnectionInterface_ServiceQueueOptions(const void *cppIn)
{
    const int castCppIn = int(*reinterpret_cast<const ::QDBusConnectionInterface::ServiceQueueOptions *>(cppIn));
    return Shiboken::Enum::newItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEQUEUEOPTIONS_IDX], castCppIn);

}

static void QDBusConnectionInterface_ServiceReplacementOptions_PythonToCpp_QDBusConnectionInterface_ServiceReplacementOptions(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QDBusConnectionInterface::ServiceReplacementOptions *>(cppOut) =
        static_cast<::QDBusConnectionInterface::ServiceReplacementOptions>(Shiboken::Enum::getValue(pyIn));

}
static PythonToCppFunc is_QDBusConnectionInterface_ServiceReplacementOptions_PythonToCpp_QDBusConnectionInterface_ServiceReplacementOptions_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEREPLACEMENTOPTIONS_IDX]))
        return QDBusConnectionInterface_ServiceReplacementOptions_PythonToCpp_QDBusConnectionInterface_ServiceReplacementOptions;
    return {};
}
static PyObject *QDBusConnectionInterface_ServiceReplacementOptions_CppToPython_QDBusConnectionInterface_ServiceReplacementOptions(const void *cppIn)
{
    const int castCppIn = int(*reinterpret_cast<const ::QDBusConnectionInterface::ServiceReplacementOptions *>(cppIn));
    return Shiboken::Enum::newItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEREPLACEMENTOPTIONS_IDX], castCppIn);

}

static void QDBusConnectionInterface_RegisterServiceReply_PythonToCpp_QDBusConnectionInterface_RegisterServiceReply(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QDBusConnectionInterface::RegisterServiceReply *>(cppOut) =
        static_cast<::QDBusConnectionInterface::RegisterServiceReply>(Shiboken::Enum::getValue(pyIn));

}
static PythonToCppFunc is_QDBusConnectionInterface_RegisterServiceReply_PythonToCpp_QDBusConnectionInterface_RegisterServiceReply_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_REGISTERSERVICEREPLY_IDX]))
        return QDBusConnectionInterface_RegisterServiceReply_PythonToCpp_QDBusConnectionInterface_RegisterServiceReply;
    return {};
}
static PyObject *QDBusConnectionInterface_RegisterServiceReply_CppToPython_QDBusConnectionInterface_RegisterServiceReply(const void *cppIn)
{
    const int castCppIn = int(*reinterpret_cast<const ::QDBusConnectionInterface::RegisterServiceReply *>(cppIn));
    return Shiboken::Enum::newItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_REGISTERSERVICEREPLY_IDX], castCppIn);

}

// Python to C++ pointer conversion - returns the C++ object of the Python wrapper (keeps object identity).
static void QDBusConnectionInterface_PythonToCpp_QDBusConnectionInterface_PTR(PyObject *pyIn, void *cppOut)
{
    Shiboken::Conversions::pythonToCppPointer(Sbk_QDBusConnectionInterface_TypeF(), pyIn, cppOut);
}
static PythonToCppFunc is_QDBusConnectionInterface_PythonToCpp_QDBusConnectionInterface_PTR_Convertible(PyObject *pyIn)
{
    if (pyIn == Py_None)
        return Shiboken::Conversions::nonePythonToCppNullPtr;
    if (PyObject_TypeCheck(pyIn, reinterpret_cast<PyTypeObject *>(Sbk_QDBusConnectionInterface_TypeF())))
        return QDBusConnectionInterface_PythonToCpp_QDBusConnectionInterface_PTR;
    return {};
}

// C++ to Python pointer conversion - tries to find the Python wrapper for the C++ object (keeps object identity).
static PyObject *QDBusConnectionInterface_PTR_CppToPython_QDBusConnectionInterface(const void *cppIn)
{
    return PySide::getWrapperForQObject(reinterpret_cast<::QDBusConnectionInterface *>(const_cast<void *>(cppIn)), Sbk_QDBusConnectionInterface_TypeF());

}

// The signatures string for the functions.
// Multiple signatures have their index "n:" in front.
static const char *QDBusConnectionInterface_SignatureStrings[] = {
    "PySide6.QtDBus.QDBusConnectionInterface.activatableServiceNames(self)->PySide6.QtDBus.QDBusReply",
    "PySide6.QtDBus.QDBusConnectionInterface.connectNotify(self,arg__1:PySide6.QtCore.QMetaMethod)",
    "PySide6.QtDBus.QDBusConnectionInterface.disconnectNotify(self,arg__1:PySide6.QtCore.QMetaMethod)",
    "PySide6.QtDBus.QDBusConnectionInterface.isServiceRegistered(self,arg__1:QString)->PySide6.QtDBus.QDBusReply",
    "PySide6.QtDBus.QDBusConnectionInterface.registerService(self,arg__1:QString,arg__2:PySide6.QtDBus.QDBusConnectionInterface.ServiceQueueOptions,arg__3:PySide6.QtDBus.QDBusConnectionInterface.ServiceReplacementOptions)->PySide6.QtDBus.QDBusReply",
    "PySide6.QtDBus.QDBusConnectionInterface.registeredServiceNames(self)->PySide6.QtDBus.QDBusReply",
    "PySide6.QtDBus.QDBusConnectionInterface.serviceOwner(self,arg__1:QString)->PySide6.QtDBus.QDBusReply",
    "PySide6.QtDBus.QDBusConnectionInterface.servicePid(self,arg__1:QString)->PySide6.QtDBus.QDBusReply",
    "PySide6.QtDBus.QDBusConnectionInterface.serviceUid(self,arg__1:QString)->PySide6.QtDBus.QDBusReply",
    "PySide6.QtDBus.QDBusConnectionInterface.startService(self,arg__1:QString)->PySide6.QtDBus.QDBusReply",
    "PySide6.QtDBus.QDBusConnectionInterface.unregisterService(self,arg__1:QString)->PySide6.QtDBus.QDBusReply",
    nullptr}; // Sentinel

void init_QDBusConnectionInterface(PyObject *module)
{
    _Sbk_QDBusConnectionInterface_Type = Shiboken::ObjectType::introduceWrapperType(
        module,
        "QDBusConnectionInterface",
        "QDBusConnectionInterface*",
        &Sbk_QDBusConnectionInterface_spec,
        nullptr,
        SbkPySide6_QtDBusTypes[SBK_QDBUSABSTRACTINTERFACE_IDX],
        0,
        0);
    auto *pyType = Sbk_QDBusConnectionInterface_TypeF(); // references _Sbk_QDBusConnectionInterface_Type
    InitSignatureStrings(pyType, QDBusConnectionInterface_SignatureStrings);
    SbkObjectType_SetPropertyStrings(reinterpret_cast<PyTypeObject *>(_Sbk_QDBusConnectionInterface_Type), Sbk_QDBusConnectionInterface_PropertyStrings);
    SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_IDX]
        = Sbk_QDBusConnectionInterface_TypeF();

    // Register Converter
    SbkConverter *converter = Shiboken::Conversions::createConverter(Sbk_QDBusConnectionInterface_TypeF(),
        QDBusConnectionInterface_PythonToCpp_QDBusConnectionInterface_PTR,
        is_QDBusConnectionInterface_PythonToCpp_QDBusConnectionInterface_PTR_Convertible,
        QDBusConnectionInterface_PTR_CppToPython_QDBusConnectionInterface);

    Shiboken::Conversions::registerConverterName(converter, "QDBusConnectionInterface");
    Shiboken::Conversions::registerConverterName(converter, "QDBusConnectionInterface*");
    Shiboken::Conversions::registerConverterName(converter, "QDBusConnectionInterface&");
    Shiboken::Conversions::registerConverterName(converter, typeid(::QDBusConnectionInterface).name());


    Shiboken::ObjectType::setTypeDiscoveryFunctionV2(Sbk_QDBusConnectionInterface_TypeF(), &Sbk_QDBusConnectionInterface_typeDiscovery);

    // Initialization of enums.

    // Initialization of enum 'ServiceQueueOptions'.
    SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEQUEUEOPTIONS_IDX] = Shiboken::Enum::createScopedEnum(Sbk_QDBusConnectionInterface_TypeF(),
        "ServiceQueueOptions",
        "2:PySide6.QtDBus.QDBusConnectionInterface.ServiceQueueOptions",
        "QDBusConnectionInterface::ServiceQueueOptions");
    if (!SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEQUEUEOPTIONS_IDX])
        return;

    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEQUEUEOPTIONS_IDX],
        Sbk_QDBusConnectionInterface_TypeF(), "DontQueueService", (long) QDBusConnectionInterface::ServiceQueueOptions::DontQueueService))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEQUEUEOPTIONS_IDX],
        Sbk_QDBusConnectionInterface_TypeF(), "QueueService", (long) QDBusConnectionInterface::ServiceQueueOptions::QueueService))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEQUEUEOPTIONS_IDX],
        Sbk_QDBusConnectionInterface_TypeF(), "ReplaceExistingService", (long) QDBusConnectionInterface::ServiceQueueOptions::ReplaceExistingService))
        return;
    // Register converter for enum 'QDBusConnectionInterface::ServiceQueueOptions'.
    {
        SbkConverter *converter = Shiboken::Conversions::createConverter(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEQUEUEOPTIONS_IDX],
            QDBusConnectionInterface_ServiceQueueOptions_CppToPython_QDBusConnectionInterface_ServiceQueueOptions);
        Shiboken::Conversions::addPythonToCppValueConversion(converter,
            QDBusConnectionInterface_ServiceQueueOptions_PythonToCpp_QDBusConnectionInterface_ServiceQueueOptions,
            is_QDBusConnectionInterface_ServiceQueueOptions_PythonToCpp_QDBusConnectionInterface_ServiceQueueOptions_Convertible);
        Shiboken::Enum::setTypeConverter(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEQUEUEOPTIONS_IDX], converter, false);
        Shiboken::Conversions::registerConverterName(converter, "QDBusConnectionInterface::ServiceQueueOptions");
        Shiboken::Conversions::registerConverterName(converter, "ServiceQueueOptions");
    }
    // End of 'ServiceQueueOptions' enum.

    // Initialization of enum 'ServiceReplacementOptions'.
    SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEREPLACEMENTOPTIONS_IDX] = Shiboken::Enum::createScopedEnum(Sbk_QDBusConnectionInterface_TypeF(),
        "ServiceReplacementOptions",
        "2:PySide6.QtDBus.QDBusConnectionInterface.ServiceReplacementOptions",
        "QDBusConnectionInterface::ServiceReplacementOptions");
    if (!SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEREPLACEMENTOPTIONS_IDX])
        return;

    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEREPLACEMENTOPTIONS_IDX],
        Sbk_QDBusConnectionInterface_TypeF(), "DontAllowReplacement", (long) QDBusConnectionInterface::ServiceReplacementOptions::DontAllowReplacement))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEREPLACEMENTOPTIONS_IDX],
        Sbk_QDBusConnectionInterface_TypeF(), "AllowReplacement", (long) QDBusConnectionInterface::ServiceReplacementOptions::AllowReplacement))
        return;
    // Register converter for enum 'QDBusConnectionInterface::ServiceReplacementOptions'.
    {
        SbkConverter *converter = Shiboken::Conversions::createConverter(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEREPLACEMENTOPTIONS_IDX],
            QDBusConnectionInterface_ServiceReplacementOptions_CppToPython_QDBusConnectionInterface_ServiceReplacementOptions);
        Shiboken::Conversions::addPythonToCppValueConversion(converter,
            QDBusConnectionInterface_ServiceReplacementOptions_PythonToCpp_QDBusConnectionInterface_ServiceReplacementOptions,
            is_QDBusConnectionInterface_ServiceReplacementOptions_PythonToCpp_QDBusConnectionInterface_ServiceReplacementOptions_Convertible);
        Shiboken::Enum::setTypeConverter(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_SERVICEREPLACEMENTOPTIONS_IDX], converter, false);
        Shiboken::Conversions::registerConverterName(converter, "QDBusConnectionInterface::ServiceReplacementOptions");
        Shiboken::Conversions::registerConverterName(converter, "ServiceReplacementOptions");
    }
    // End of 'ServiceReplacementOptions' enum.

    // Initialization of enum 'RegisterServiceReply'.
    SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_REGISTERSERVICEREPLY_IDX] = Shiboken::Enum::createScopedEnum(Sbk_QDBusConnectionInterface_TypeF(),
        "RegisterServiceReply",
        "2:PySide6.QtDBus.QDBusConnectionInterface.RegisterServiceReply",
        "QDBusConnectionInterface::RegisterServiceReply");
    if (!SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_REGISTERSERVICEREPLY_IDX])
        return;

    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_REGISTERSERVICEREPLY_IDX],
        Sbk_QDBusConnectionInterface_TypeF(), "ServiceNotRegistered", (long) QDBusConnectionInterface::RegisterServiceReply::ServiceNotRegistered))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_REGISTERSERVICEREPLY_IDX],
        Sbk_QDBusConnectionInterface_TypeF(), "ServiceRegistered", (long) QDBusConnectionInterface::RegisterServiceReply::ServiceRegistered))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_REGISTERSERVICEREPLY_IDX],
        Sbk_QDBusConnectionInterface_TypeF(), "ServiceQueued", (long) QDBusConnectionInterface::RegisterServiceReply::ServiceQueued))
        return;
    // Register converter for enum 'QDBusConnectionInterface::RegisterServiceReply'.
    {
        SbkConverter *converter = Shiboken::Conversions::createConverter(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_REGISTERSERVICEREPLY_IDX],
            QDBusConnectionInterface_RegisterServiceReply_CppToPython_QDBusConnectionInterface_RegisterServiceReply);
        Shiboken::Conversions::addPythonToCppValueConversion(converter,
            QDBusConnectionInterface_RegisterServiceReply_PythonToCpp_QDBusConnectionInterface_RegisterServiceReply,
            is_QDBusConnectionInterface_RegisterServiceReply_PythonToCpp_QDBusConnectionInterface_RegisterServiceReply_Convertible);
        Shiboken::Enum::setTypeConverter(SbkPySide6_QtDBusTypes[SBK_QDBUSCONNECTIONINTERFACE_REGISTERSERVICEREPLY_IDX], converter, false);
        Shiboken::Conversions::registerConverterName(converter, "QDBusConnectionInterface::RegisterServiceReply");
        Shiboken::Conversions::registerConverterName(converter, "RegisterServiceReply");
    }
    // End of 'RegisterServiceReply' enum.

    PySide::Signal::registerSignals(Sbk_QDBusConnectionInterface_TypeF(), &::QDBusConnectionInterface::staticMetaObject);
    qRegisterMetaType< ::QDBusConnectionInterface::ServiceQueueOptions >("QDBusConnectionInterface::ServiceQueueOptions");
    qRegisterMetaType< ::QDBusConnectionInterface::ServiceReplacementOptions >("QDBusConnectionInterface::ServiceReplacementOptions");
    qRegisterMetaType< ::QDBusConnectionInterface::RegisterServiceReply >("QDBusConnectionInterface::RegisterServiceReply");
    Shiboken::ObjectType::setSubTypeInitHook(Sbk_QDBusConnectionInterface_TypeF(), &PySide::initQObjectSubType);
    PySide::initDynamicMetaObject(Sbk_QDBusConnectionInterface_TypeF(), &::QDBusConnectionInterface::staticMetaObject, sizeof(::QDBusConnectionInterface));
}
